// @desc: app.js
// @auth: wangyuan.cc@foxmail.com
// @date: 2022-09-13 10:44

App({
  onLaunch() {
    console.log('App onLaunch');
    const that = this
    wx.setStorageSync('selectedInex', 0)
    wx.getStorage({
      key: 'accessToken',
      success (res) {
        that.globalData.accessToken = res.data
      }
    })
  },
  globalData: {
    useNumber: '', // 用户可使用的次数
    hasAppointment: false, // 是否有待处理预约的数据
    accessToken: '',
    isNeedPhone: false, // 是否有号码权限
    isNeedHeadImg: false, // 是否有头像权限
    userInfo: {
      userName: '',
      phoneNumber: '',
      headImg: '',
      login: false
    },
    auth: {
      camera: true
    },
    selectedInex: 0, // 自定义tabbar选中的index 默认首页index
    navigateBackParams: {}, // 使用wx.navigateBack 返回上一个页面的参数
  }
})
