// pages/aatest/test.js
import { userUploadHeadImg } from '../../api/upload'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    headImg: '',
    nickname: ''
  },
  handleToast () {
    wx.showToast({
      title: '测试Toast',
      icon: 'success'
    }).then(res => {
      console.log('success t', res);
    })
  },

  submit () {
    console.log(this.data.headImg, this.data.nickname);
  },

  bindinputNickName (e) {
    console.log(e);
  },

  onChooseAvatar(e) {
    const { avatarUrl } = e.detail
    console.log(e);
    this.setData({
      headImg: avatarUrl
    })
    var data = {
      filePath: avatarUrl
    }
    wx.showLoading({
      title: '上传中...',
      mask: true
    })
    userUploadHeadImg(data).then(res => {
      wx.hideLoading()
      console.log(JSON.parse(res), 'userUploadHeadImg');
    }).catch(e => {
      wx.hideLoading()
      wx.showModal({
        content: e,
        confirmColor: '#333',
        showCancel: false
      })
    })

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },


  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})