// pages/userAgreement/userAgreement.js
import { appGetConfigImg } from '../../api/index'

Page({

  /**
   * 页面的初始数据
   */
  data: {
    webViewSrc: ''
  },


  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getAppGetConfigImg()
  },

  getAppGetConfigImg() {
    const that = this
    wx.showNavigationBarLoading()
    // 类型  【1.关于我的 2.用户协议 3.我的 4.实体卡兑换说明 】
    appGetConfigImg({
      'imgType': '2'
    }).then(configRes => {
      wx.hideNavigationBarLoading()
      console.log(configRes, 'configRes')
      that.setData({
        webViewSrc: configRes.data[0].imgUrl
      })
    })
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})