
// my api 接口
import { wxRequest } from './request'

const bindMobileURL = '/user/bind/mobile' // 获取用户手机号
const userLoginURL = '/user/login' // 登录
const bindBaseInfoURL = '/user/bind/base/info' // 绑定用户头像昵称
const myReportListURL =  '/get/my/report/list' // 我的报告
const getReportURL =  '/get/report' // 查看我的报告
const getReportUserInfoURL = '/get/report/user/info'
const chargeListURL = '/get/charge/list' // 我的充值记录
const getExaminationOrderListURL = '/get/examination/order/list' // 我的核销记录

export const userLogin =  (data) => wxRequest(userLoginURL, data)

export const bindMobile =  (data) => wxRequest(bindMobileURL, data)

export const bindBaseInfo =  (data) => wxRequest(bindBaseInfoURL, data)

export const chargeList =  (data) => wxRequest(chargeListURL, data)

export const myReportList =  (data) => wxRequest(myReportListURL, data)

export const getReport =  (data) => wxRequest(getReportURL, data)

export const getExaminationOrderList=  (data) => wxRequest(getExaminationOrderListURL, data)

export const getReportUserInfo =  (data) => wxRequest(getReportUserInfoURL, data)