// pages/aboutUs/aboutUs.js
import { appGetConfigImg } from '../../api/index'

Page({

  /**
   * 页面的初始数据
   */
  data: {
    imgUrl: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  getAppGetConfigImg() {
    const that = this
    wx.showNavigationBarLoading()
    // 类型  【1.关于我的 2.用户协议 3.我的 4.实体卡兑换说明 】
    appGetConfigImg({
      'imgType': '1'
    }).then(configRes => {
      wx.hideNavigationBarLoading()
      that.setData({
        imgUrl: configRes.data[0].imgUrl
      })
    })
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getAppGetConfigImg()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})