// pages/set/set.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    bindPhone: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({
      bindPhone: wx.getStorageSync('phoneNumber')
    })
  },

  /**
   * 联系我们
   */
  handleLinkus() {
    wx.showModal({
      content: '感谢您选择ITT，如您有疑问，欢迎您在公众号【ITT健康扫描】直接留言，我们的客服人员在9:00-18:00在线为您服务',
      confirmColor: '#333',
      showCancel: false
    })
  },

  handleUserArgee () {
    wx.navigateTo({
      url: '/pages/userAgreement/userAgreement',
    })
  },

  handleLogout () {
    wx.showModal({
      content: '确认退出吗？',
      confirmColor: '#333',
      cancelColor: '#666',
      success (res) {
        if (res.confirm) {
          wx.exitMiniProgram({
            success () {
              wx.clearStorageSync()
              app.globalData.accessToken = ''
              app.globalData.userInfo.login = false
              app.globalData.userInfo.userName = ''
              app.globalData.userInfo.phoneNumber = ''
              app.globalData.userInfo.headImg = ''
            }
          })
        }
      }
    })
  },

  handleAboutus () {
    wx.navigateTo({
      url: '/pages/aboutUs/aboutUs',
    })
  }
})